Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_var.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_var.h	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_var.h	(revision 321)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -84,5 +72,5 @@
 
 /*
- *  TCP ãããã»ãã¤ã­ã¼ãã¢ã¯ã»ã¹ãã¯ã­
+ *  TCP ヘッダ・ペイロードアクセスマクロ
  */
 
@@ -105,5 +93,5 @@
 
 /*
- *  TINET 1.1 ã¨ã®äºææ§ã®ããã®å®ç¾©
+ *  TINET 1.1 との互換性のための定義
  */
 
@@ -118,5 +106,5 @@
 
 /*
- *  TINET 1.3 ã¨ã®äºææ§ã®ããã®å®ç¾©
+ *  TINET 1.3 との互換性のための定義
  */
 
@@ -127,5 +115,5 @@
 
 /*
- *  ã³ã¼ã«ããã¯é¢æ°ã®å®ç¾©
+ *  コールバック関数の定義
  */
 
@@ -133,35 +121,35 @@
 
 /*
- *  TCP åä»å£
- */
-
-/* IPv4 ç¨ TCP åä»å£ */
+ *  TCP 受付口
+ */
+
+/* IPv4 用 TCP 受付口 */
 typedef struct t_tcp4_rep {
 
 	/*
-	 * ITRON TCP/IP APIãTCP åä»å£ã¨åãã¡ã³ã
+	 * ITRON TCP/IP API、TCP 受付口と同じメンバ
 	 */
-	ATR		repatr;		/* åä»å£å±æ§		*/
-	T_IPV4EP	myaddr;		/* èªåã®ã¢ãã¬ã¹	*/
+	ATR		repatr;		/* 受付口属性		*/
+	T_IPV4EP	myaddr;		/* 自分のアドレス	*/
 
 #ifdef TCP_CFG_EXTENTIONS
-	uint16_t	flags;		/* åä»å£ãã©ã°		*/
-	ID		semid_lock;	/* åä»å£ã­ãã¯		*/
+	uint16_t	flags;		/* 受付口フラグ		*/
+	ID		semid_lock;	/* 受付口ロック		*/
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
 	} T_TCP4_REP;
 
-/* IPv6 ç¨ TCP åä»å£ */
+/* IPv6 用 TCP 受付口 */
 typedef struct t_tcp6_rep {
 
 	/*
-	 * ITRON TCP/IP APIãTCP åä»å£ã¨åãã¡ã³ã
+	 * ITRON TCP/IP API、TCP 受付口と同じメンバ
 	 */
-	ATR		repatr;		/* åä»å£å±æ§		*/
-	T_IPV6EP	myaddr;		/* èªåã®ã¢ãã¬ã¹	*/
+	ATR		repatr;		/* 受付口属性		*/
+	T_IPV6EP	myaddr;		/* 自分のアドレス	*/
 
 #ifdef TCP_CFG_EXTENTIONS
-	uint16_t	flags;		/* åä»å£ãã©ã°		*/
-	ID		semid_lock;	/* åä»å£ã­ãã¯		*/
+	uint16_t	flags;		/* 受付口フラグ		*/
+	ID		semid_lock;	/* 受付口ロック		*/
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
@@ -177,12 +165,12 @@
 
 /*
- *  åä»å£ãã©ã°
- */
-
-#define TCP_REP_FLG_DYNAMIC	UINT_C(0x0400)	/* åççæã»åé¤å¯è½åä»å£ã	*/
-#define TCP_REP_FLG_VALID	UINT_C(0x0800)	/* çææ¸ã¿ã§æå¹ãªåä»å£ã	*/
-
-/*
- *  TCP éä¿¡ç«¯ç¹
+ *  受付口フラグ
+ */
+
+#define TCP_REP_FLG_DYNAMIC	UINT_C(0x0400)	/* 動的生成・削除可能受付口。	*/
+#define TCP_REP_FLG_VALID	UINT_C(0x0800)	/* 生成済みで有効な受付口。	*/
+
+/*
+ *  TCP 通信端点
  */
 
@@ -192,134 +180,123 @@
 
 /*
- * éå¸¸ã® IPv4 TCP éä¿¡ç«¯ç¹
+ * 通常の IPv4 TCP 通信端点
  */
 typedef struct t_tcp4_cep {
 
 	/*
-	 * ITRON TCP/IP APIãTCP éä¿¡ç«¯ç¹ã¨åãã¡ã³ã
+	 * ITRON TCP/IP API、TCP 通信端点と同じメンバ
 	 */
-	ATR		cepatr;		/* éä¿¡ç«¯ç¹å±æ§			*/
-	void		*sbuf;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-	int_t		sbufsz;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	void		*rbuf;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-	int_t		rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	t_tcp_callback	callback;	/* ã³ã¼ã«ããã¯é¢æ°		*/
+	ATR		cepatr;		/* 通信端点属性			*/
+	void		*sbuf;		/* 送信用ウィンドバッファ	*/
+	int_t		sbufsz;		/* 送信用ウィンドバッファサイズ	*/
+	void		*rbuf;		/* 受信用ウィンドバッファ	*/
+	int_t		rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+	t_tcp_callback	callback;	/* コールバック関数		*/
 
 	/*
-	 * TINET ç¬èªã®ã¡ã³ã
+	 * TINET 独自のメンバ
 	 */
-	uint32_t	flags;		/* éä¿¡ç«¯ç¹ãã©ã°		*/
-	ID		semid_lock;	/* éä¿¡ç«¯ç¹ã­ãã¯		*/
-	ID		est_flgid;	/* ã³ãã¯ã·ã§ã³ç¶æ
-ã¤ãã³ããã©ã°	*/
-	ID		snd_flgid;	/* éä¿¡ã¤ãã³ããã©ã°		*/
-	ID		rcv_flgid;	/* åä¿¡ã¤ãã³ããã©ã°		*/
-	ID		snd_tskid;	/* éä¿¡ã¿ã¹ã¯è­å¥å­		*/
-	ID		rcv_tskid;	/* åä¿¡ã¿ã¹ã¯è­å¥å­		*/
-	uint8_t		*sbuf_rptr;	/* éä¿¡ç¨èª­ã¿åºããã¤ã³ã¿	*/
-	uint8_t		*sbuf_wptr;	/* éä¿¡ç¨æ¸ãè¾¼ã¿ãã¤ã³ã¿	*/
-	uint8_t		*rbuf_rptr;	/* åä¿¡ç¨èª­ã¿åºããã¤ã³ã¿	*/
-	uint8_t		*rbuf_wptr;	/* åä¿¡ç¨æ¸ãè¾¼ã¿ãã¤ã³ã¿	*/
-	T_TCP_SEQ	snd_ssthresh;	/* è¼»è¼³ã¦ã£ã³ããµã¤ãº(snd_cwnd)	*/
-					/* ã®ãããå¤			*/
-	T_TCP_TIME	rxtcur;		/* ç¾å¨ã®åéã¿ã¤ã ã¢ã¦ã	*/
-	T_TCP_TIME	srtt;		/* å¹³æ»åããã RTT		*/
-	T_TCP_TIME	rttvar;		/* å¹³æ»åãããåæ£		*/
-	T_TCP_WND	snd_cwnd;	/* è¼»è¼³ã¦ã£ã³ããµã¤ãº		*/
+	uint32_t	flags;		/* 通信端点フラグ		*/
+	ID		semid_lock;	/* 通信端点ロック		*/
+	ID		est_flgid;	/* コネクション状態イベントフラグ	*/
+	ID		snd_flgid;	/* 送信イベントフラグ		*/
+	ID		rcv_flgid;	/* 受信イベントフラグ		*/
+	ID		snd_tskid;	/* 送信タスク識別子		*/
+	ID		rcv_tskid;	/* 受信タスク識別子		*/
+	uint8_t		*sbuf_rptr;	/* 送信用読み出しポインタ	*/
+	uint8_t		*sbuf_wptr;	/* 送信用書き込みポインタ	*/
+	uint8_t		*rbuf_rptr;	/* 受信用読み出しポインタ	*/
+	uint8_t		*rbuf_wptr;	/* 受信用書き込みポインタ	*/
+	T_TCP_SEQ	snd_ssthresh;	/* 輻輳ウィンドサイズ(snd_cwnd)	*/
+					/* のしきい値			*/
+	T_TCP_TIME	rxtcur;		/* 現在の再送タイムアウト	*/
+	T_TCP_TIME	srtt;		/* 平滑化された RTT		*/
+	T_TCP_TIME	rttvar;		/* 平滑化された分散		*/
+	T_TCP_WND	snd_cwnd;	/* 輻輳ウィンドサイズ		*/
 
 	/*
-	 *  ç¸æã®æå¤§åä¿¡ã»ã°ã¡ã³ããµã¤ãº	
+	 *  相手の最大受信セグメントサイズ	
 	 *
-	 *    ãªãªã¸ãã«ã§ã¯ãä¸è¬ã®ã»ã°ã¡ã³ãã®æå¤§ãµã¤ãº (t_maxseg) ã¨ã
-	 *    ãªãã·ã§ã³ä»ãã®ã»ã°ã¡ã³ãã®æå¤§ãµã¤ãº (t_maxopd) ãå¥ã«
-	 *    ãªã£ã¦ãããããã¯ãç¾å¨ã®ã¤ã³ã¿ã¼ãããã§ã¯ããªãã·ã§ã³ä»ãã®
-	 *    ã»ã°ã¡ã³ãã®ã»ããå¤ãããã¨èª¬æããã¦ããããã§ããã
-	 *    æ¬å®è£
-ã§ã¯ãæå¤§ã»ã°ã¡ã³ããµã¤ãºãªãã·ã§ã³ä»¥å¤ã®ãªãã·ã§ã³ã¯
-	 *    å®è£
-ããªãã®ã§ãt_maxseg ã®ä½¿ç¨ããã
+	 *    オリジナルでは、一般のセグメントの最大サイズ (t_maxseg) と、
+	 *    オプション付きのセグメントの最大サイズ (t_maxopd) が別に
+	 *    なっている。これは、現在のインターネットでは、オプション付きの
+	 *    セグメントのほうが多いからと説明されているためである。
+	 *    本実装では、最大セグメントサイズオプション以外のオプションは
+	 *    実装しないので、t_maxseg の使用する。
 	 */
 	T_TCP_SEG	maxseg;
 
-	int16_t		snd_tfn;	/* éä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	int16_t		rcv_tfn;	/* åä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
+	int16_t		snd_tfn;	/* 送信動作中の API 機能コード	*/
+	int16_t		rcv_tfn;	/* 受信動作中の API 機能コード	*/
 
 #ifdef TCP_CFG_NON_BLOCKING
 
-	T_IPV4EP 	*p_dstaddr;	/* ç¸æã®ã¢ãã¬ã¹ã¸ã®ãã¤ã³ã¿	*/
-	T_IPV4EP 	*p_myaddr;	/* èªåã®ã¢ãã¬ã¹ã¸ã®ãã¤ã³ã¿	*/
-	int16_t		snd_nblk_tfn;	/* éä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	int16_t		rcv_nblk_tfn;	/* åä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	void		*snd_data;	/* éä¿¡ãã¼ã¿é åã®å
-é ­ã¢ãã¬ã¹	*/
-	int_t		snd_len;	/* éä¿¡ãã¼ã¿é åã®é·ã		*/
-	void		*rcv_data;	/* åä¿¡ãã¼ã¿é åã®å
-é ­ã¢ãã¬ã¹	*/
-	int_t		rcv_len;	/* åä¿¡ãã¼ã¿é åã®é·ã		*/
-	void		**snd_p_buf;	/* éä¿¡ãããã¡ã¸ã®ãã¤ã³ã¿	*/
-	void		**rcv_p_buf;	/* åä¿¡ãããã¡ã¸ã®ãã¤ã³ã¿	*/
+	T_IPV4EP 	*p_dstaddr;	/* 相手のアドレスへのポインタ	*/
+	T_IPV4EP 	*p_myaddr;	/* 自分のアドレスへのポインタ	*/
+	int16_t		snd_nblk_tfn;	/* 送信動作中の API 機能コード	*/
+	int16_t		rcv_nblk_tfn;	/* 受信動作中の API 機能コード	*/
+	void		*snd_data;	/* 送信データ領域の先頭アドレス	*/
+	int_t		snd_len;	/* 送信データ領域の長さ		*/
+	void		*rcv_data;	/* 受信データ領域の先頭アドレス	*/
+	int_t		rcv_len;	/* 受信データ領域の長さ		*/
+	void		**snd_p_buf;	/* 送信バッファへのポインタ	*/
+	void		**rcv_p_buf;	/* 受信バッファへのポインタ	*/
 
 #endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
 #ifdef TCP_CFG_SWBUF_CSAVE
-	T_NET_BUF	*swbufq;	/* éä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼	*/
+	T_NET_BUF	*swbufq;	/* 送信ウィンドバッファキュー	*/
 #endif	/* of #ifdef TCP_CFG_SWBUF_CSAVE */
 
 	/*
-	 *  ããä»¥éã®ã¡ã³ãã¼ã¯ tcp_init_cep() é¢æ°ã§ã¼ã­ã¯ãªã¢ã¼ãããã
+	 *  これ以降のメンバーは tcp_init_cep() 関数でゼロクリアーされる。
 	 */
 
-	T_TCP_TIME	timer[NUM_TCP_TIMERS];	/* TCP ã®ã¿ã¤ã		*/
-	T_IPV4EP	dstaddr;	/* ç¸æã®ã¢ãã¬ã¹		*/
-	T_IPV4EP	myaddr;		/* èªåã®ã¢ãã¬ã¹		*/
-	T_TCP4_REP	*rep;		/* åä»å£			*/
-	T_NET_BUF	*reassq;	/* åä¿¡åæ§æã­ã¥ã¼		*/
+	T_TCP_TIME	timer[NUM_TCP_TIMERS];	/* TCP のタイマ		*/
+	T_IPV4EP	dstaddr;	/* 相手のアドレス		*/
+	T_IPV4EP	myaddr;		/* 自分のアドレス		*/
+	T_TCP4_REP	*rep;		/* 受付口			*/
+	T_NET_BUF	*reassq;	/* 受信再構成キュー		*/
 
 #ifdef TCP_CFG_RWBUF_CSAVE
-	T_NET_BUF	*rwbufq;	/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼	*/
+	T_NET_BUF	*rwbufq;	/* 受信ウィンドバッファキュー	*/
 #endif	/* of #ifdef TCP_CFG_RWBUF_CSAVE */
 
 #ifdef TCP_CFG_EXTENTIONS
-	T_TCP_HDR	*urg_tcph;	/* ç·æ¥ãã¼ã¿å
-¥ãã®ã»ã°ã¡ã³ãã® TCP ããã	*/
-	T_TCP_SEQ	snd_up;		/* éä¿¡ããç·æ¥ãã¤ã³ã¿		*/
-	T_TCP_SEQ	rcv_up;		/* åä¿¡ããç·æ¥ãã¤ã³ã¿		*/
+	T_TCP_HDR	*urg_tcph;	/* 緊急データ入りのセグメントの TCP ヘッダ	*/
+	T_TCP_SEQ	snd_up;		/* 送信した緊急ポインタ		*/
+	T_TCP_SEQ	rcv_up;		/* 受信した緊急ポインタ		*/
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
-	T_TCP_SEQ	snd_una;	/* æªç¢ºèªã®æå°éä¿¡ SEQ ã¤ã¾ã	*/
-					/* ç¢ºèªãããæå¤§éä¿¡ SEQ	*/
-	T_TCP_SEQ	snd_max;	/* éä¿¡ããæå¤§ SEQ		*/
-	T_TCP_SEQ	snd_nxt;	/* æ¬¡ã«éä¿¡ãã SEQ		*/
-	T_TCP_SEQ	snd_old_nxt;	/* å
-ã® snd_nxt			*/
-	T_TCP_SEQ	snd_wl1;	/* ååã¦ã£ã³ããæ´æ°ãã SEQ	*/
-	T_TCP_SEQ	snd_wl2;	/* ååã¦ã£ã³ããæ´æ°ãã ACK	*/
-	T_TCP_SEQ	iss;		/* èªåã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	irs;		/* ç¸æã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	rcv_nxt;	/* åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ	*/
-	T_TCP_SEQ	rcv_adv;	/* åä¿¡ãæå¾
-ãã¦ããæå¤§ã® SEQ	*/
-	T_TCP_SEQ	rcv_wnd;	/* åä¿¡å¯è½ãªã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_SEQ	rtseq;		/* æéè¨æ¸¬ãå§ãã SEQ		*/
-	T_TCP_SEQ	last_ack_sent;	/* æå¾ã«éä¿¡ãã ACK		*/
-	T_TCP_TIME	idle;		/* ã¢ã¤ãã«æé			*/
-	ER		error;		/* éåæã«çºçããã¨ã©ã¼	*/
-	ER		net_error;	/* ãããã¯ã¼ã¯ã®ã¨ã©ã¼ç¶æ
-	*/
-	T_TCP_WND	snd_wnd;	/* ç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_WND	max_sndwnd;	/* ä»ã¾ã§ã®æå¤§éä¿¡ã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_TIME	rtt;		/* å¾å¾©æé				*/
-	uint16_t	swbuf_count;	/* éä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint16_t	rwbuf_count;	/* åä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint16_t	rcv_buf_len;	/* tcp_rcv_buf ã®å²å½ã¦é·	*/
-	uint16_t	get_buf_len;	/* tcp_rcv_buf ã®å²å½ã¦é·	*/
-	uint8_t		rxtshift;	/* åéä¿¡åæ°ã® log(2)		*/
-	uint8_t		fsm_state;	/* FSM ç¶æ
-			*/
-	uint8_t		dupacks;	/* åé ACK æ°			*/
+	T_TCP_SEQ	snd_una;	/* 未確認の最小送信 SEQ つまり	*/
+					/* 確認された最大送信 SEQ	*/
+	T_TCP_SEQ	snd_max;	/* 送信した最大 SEQ		*/
+	T_TCP_SEQ	snd_nxt;	/* 次に送信する SEQ		*/
+	T_TCP_SEQ	snd_old_nxt;	/* 元の snd_nxt			*/
+	T_TCP_SEQ	snd_wl1;	/* 前回ウィンドを更新した SEQ	*/
+	T_TCP_SEQ	snd_wl2;	/* 前回ウィンドを更新した ACK	*/
+	T_TCP_SEQ	iss;		/* 自分の SEQ の初期値		*/
+	T_TCP_SEQ	irs;		/* 相手の SEQ の初期値		*/
+	T_TCP_SEQ	rcv_nxt;	/* 受信を期待している最小の SEQ	*/
+	T_TCP_SEQ	rcv_adv;	/* 受信を期待している最大の SEQ	*/
+	T_TCP_SEQ	rcv_wnd;	/* 受信可能なウィンドサイズ	*/
+	T_TCP_SEQ	rtseq;		/* 時間計測を始めた SEQ		*/
+	T_TCP_SEQ	last_ack_sent;	/* 最後に送信した ACK		*/
+	T_TCP_TIME	idle;		/* アイドル時間			*/
+	ER		error;		/* 非同期に発生したエラー	*/
+	ER		net_error;	/* ネットワークのエラー状態	*/
+	T_TCP_WND	snd_wnd;	/* 相手の受信可能ウィンドサイズ	*/
+	T_TCP_WND	max_sndwnd;	/* 今までの最大送信ウィンドサイズ	*/
+	T_TCP_TIME	rtt;		/* 往復時間				*/
+	uint16_t	swbuf_count;	/* 送信ウィンドバッファの使用中サイズ	*/
+	uint16_t	rwbuf_count;	/* 受信ウィンドバッファの使用中サイズ	*/
+	uint16_t	rcv_buf_len;	/* tcp_rcv_buf の割当て長	*/
+	uint16_t	get_buf_len;	/* tcp_rcv_buf の割当て長	*/
+	uint8_t		rxtshift;	/* 再送信回数の log(2)		*/
+	uint8_t		fsm_state;	/* FSM 状態			*/
+	uint8_t		dupacks;	/* 再送 ACK 数			*/
 
 #if defined(TCP_CFG_RWBUF_CSAVE) && defined(TCP_CFG_RWBUF_CSAVE_MAX_QUEUES)
-	uint8_t		rwbufq_entries;	/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ã¨ã³ããªæ°	*/
+	uint8_t		rwbufq_entries;	/* 受信ウィンドバッファキューのエントリ数	*/
 #endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) && defined(TCP_CFG_RWBUF_CSAVE_MAX_QUEUES)	*/
 
@@ -327,152 +304,139 @@
 
 /*
- * Time Wait ç¨ IPv4 TCP éä¿¡ç«¯ç¹
+ * Time Wait 用 IPv4 TCP 通信端点
  */
 typedef struct t_tcp4_twcep {
-	int_t		rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	T_TCP_TIME	timer_2msl;	/* 2MSL ã¿ã¤ã			*/
-	T_IPV4EP	dstaddr;	/* ç¸æã®ã¢ãã¬ã¹		*/
-	T_IPV4EP	myaddr;		/* èªåã®ã¢ãã¬ã¹		*/
-	T_TCP_SEQ	snd_una;	/* æªç¢ºèªã®æå°éä¿¡ SEQ ã¤ã¾ã	*/
-					/* ç¢ºèªãããæå¤§éä¿¡ SEQ	*/
-	T_TCP_SEQ	rcv_nxt;	/* åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ	*/
-	uint16_t	rwbuf_count;	/* åä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint8_t		fsm_state;	/* FSM ç¶æ
-			*/
+	int_t		rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+	T_TCP_TIME	timer_2msl;	/* 2MSL タイマ			*/
+	T_IPV4EP	dstaddr;	/* 相手のアドレス		*/
+	T_IPV4EP	myaddr;		/* 自分のアドレス		*/
+	T_TCP_SEQ	snd_una;	/* 未確認の最小送信 SEQ つまり	*/
+					/* 確認された最大送信 SEQ	*/
+	T_TCP_SEQ	rcv_nxt;	/* 受信を期待している最小の SEQ	*/
+	uint16_t	rwbuf_count;	/* 受信ウィンドバッファの使用中サイズ	*/
+	uint8_t		fsm_state;	/* FSM 状態			*/
 
 	} T_TCP4_TWCEP;
 
 /*
- * éå¸¸ã® IPv6 TCP éä¿¡ç«¯ç¹
+ * 通常の IPv6 TCP 通信端点
  */
 typedef struct t_tcp6_cep {
 
 	/*
-	 * ITRON TCP/IP APIãTCP éä¿¡ç«¯ç¹ã¨åãã¡ã³ã
+	 * ITRON TCP/IP API、TCP 通信端点と同じメンバ
 	 */
-	ATR		cepatr;		/* éä¿¡ç«¯ç¹å±æ§			*/
-	void		*sbuf;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-	int_t		sbufsz;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	void		*rbuf;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-	int_t		rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	t_tcp_callback	callback;	/* ã³ã¼ã«ããã¯é¢æ°		*/
+	ATR		cepatr;		/* 通信端点属性			*/
+	void		*sbuf;		/* 送信用ウィンドバッファ	*/
+	int_t		sbufsz;		/* 送信用ウィンドバッファサイズ	*/
+	void		*rbuf;		/* 受信用ウィンドバッファ	*/
+	int_t		rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+	t_tcp_callback	callback;	/* コールバック関数		*/
 
 	/*
-	 * TINET ç¬èªã®ã¡ã³ã
+	 * TINET 独自のメンバ
 	 */
-	uint32_t	flags;		/* éä¿¡ç«¯ç¹ãã©ã°		*/
-	ID		semid_lock;	/* éä¿¡ç«¯ç¹ã­ãã¯		*/
-	ID		est_flgid;	/* ã³ãã¯ã·ã§ã³ç¶æ
-ã¤ãã³ããã©ã°	*/
-	ID		snd_flgid;	/* éä¿¡ã¤ãã³ããã©ã°		*/
-	ID		rcv_flgid;	/* åä¿¡ã¤ãã³ããã©ã°		*/
-	ID		snd_tskid;	/* éä¿¡ã¿ã¹ã¯è­å¥å­		*/
-	ID		rcv_tskid;	/* åä¿¡ã¿ã¹ã¯è­å¥å­		*/
-	uint8_t		*sbuf_rptr;	/* éä¿¡ç¨èª­ã¿åºããã¤ã³ã¿		*/
-	uint8_t		*sbuf_wptr;	/* éä¿¡ç¨æ¸ãè¾¼ã¿ãã¤ã³ã¿		*/
-	uint8_t		*rbuf_rptr;	/* åä¿¡ç¨èª­ã¿åºããã¤ã³ã¿		*/
-	uint8_t		*rbuf_wptr;	/* åä¿¡ç¨æ¸ãè¾¼ã¿ãã¤ã³ã¿		*/
-	T_TCP_SEQ	snd_ssthresh;	/* è¼»è¼³ã¦ã£ã³ããµã¤ãº(snd_cwnd)	*/
-					/* ã®ãããå¤			*/
-	T_TCP_TIME	rxtcur;		/* ç¾å¨ã®åéã¿ã¤ã ã¢ã¦ã		*/
-	T_TCP_TIME	srtt;		/* å¹³æ»åããã RTT		*/
-	T_TCP_TIME	rttvar;		/* å¹³æ»åãããåæ£		*/
-	T_TCP_WND	snd_cwnd;	/* è¼»è¼³ã¦ã£ã³ããµã¤ãº		*/
+	uint32_t	flags;		/* 通信端点フラグ		*/
+	ID		semid_lock;	/* 通信端点ロック		*/
+	ID		est_flgid;	/* コネクション状態イベントフラグ	*/
+	ID		snd_flgid;	/* 送信イベントフラグ		*/
+	ID		rcv_flgid;	/* 受信イベントフラグ		*/
+	ID		snd_tskid;	/* 送信タスク識別子		*/
+	ID		rcv_tskid;	/* 受信タスク識別子		*/
+	uint8_t		*sbuf_rptr;	/* 送信用読み出しポインタ		*/
+	uint8_t		*sbuf_wptr;	/* 送信用書き込みポインタ		*/
+	uint8_t		*rbuf_rptr;	/* 受信用読み出しポインタ		*/
+	uint8_t		*rbuf_wptr;	/* 受信用書き込みポインタ		*/
+	T_TCP_SEQ	snd_ssthresh;	/* 輻輳ウィンドサイズ(snd_cwnd)	*/
+					/* のしきい値			*/
+	T_TCP_TIME	rxtcur;		/* 現在の再送タイムアウト		*/
+	T_TCP_TIME	srtt;		/* 平滑化された RTT		*/
+	T_TCP_TIME	rttvar;		/* 平滑化された分散		*/
+	T_TCP_WND	snd_cwnd;	/* 輻輳ウィンドサイズ		*/
 
 	/*
-	 *  ç¸æã®æå¤§åä¿¡ã»ã°ã¡ã³ããµã¤ãº	
+	 *  相手の最大受信セグメントサイズ	
 	 *
-	 *    ãªãªã¸ãã«ã§ã¯ãä¸è¬ã®ã»ã°ã¡ã³ãã®æå¤§ãµã¤ãº (t_maxseg) ã¨ã
-	 *    ãªãã·ã§ã³ä»ãã®ã»ã°ã¡ã³ãã®æå¤§ãµã¤ãº (t_maxopd) ãå¥ã«
-	 *    ãªã£ã¦ãããããã¯ãç¾å¨ã®ã¤ã³ã¿ã¼ãããã§ã¯ããªãã·ã§ã³ä»ãã®
-	 *    ã»ã°ã¡ã³ãã®ã»ããå¤ãããã¨èª¬æããã¦ããããã§ããã
-	 *    æ¬å®è£
-ã§ã¯ãæå¤§ã»ã°ã¡ã³ããµã¤ãºãªãã·ã§ã³ä»¥å¤ã®ãªãã·ã§ã³ã¯
-	 *    å®è£
-ããªãã®ã§ãt_maxseg ã®ä½¿ç¨ããã
+	 *    オリジナルでは、一般のセグメントの最大サイズ (t_maxseg) と、
+	 *    オプション付きのセグメントの最大サイズ (t_maxopd) が別に
+	 *    なっている。これは、現在のインターネットでは、オプション付きの
+	 *    セグメントのほうが多いからと説明されているためである。
+	 *    本実装では、最大セグメントサイズオプション以外のオプションは
+	 *    実装しないので、t_maxseg の使用する。
 	 */
 	T_TCP_SEG	maxseg;
 
-	T_IPV6EP 	*p_dstaddr;	/* ç¸æã®ã¢ãã¬ã¹ã¸ã®ãã¤ã³ã¿	*/
-	T_IPV6EP 	*p_myaddr;	/* èªåã®ã¢ãã¬ã¹ã¸ã®ãã¤ã³ã¿	*/
-	int16_t		snd_tfn;	/* éä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	int16_t		rcv_tfn;	/* åä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
+	T_IPV6EP 	*p_dstaddr;	/* 相手のアドレスへのポインタ	*/
+	T_IPV6EP 	*p_myaddr;	/* 自分のアドレスへのポインタ	*/
+	int16_t		snd_tfn;	/* 送信動作中の API 機能コード	*/
+	int16_t		rcv_tfn;	/* 受信動作中の API 機能コード	*/
 
 #ifdef TCP_CFG_NON_BLOCKING
 
-	int16_t		snd_nblk_tfn;	/* éä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	int16_t		rcv_nblk_tfn;	/* åä¿¡åä½ä¸­ã® API æ©è½ã³ã¼ã	*/
-	void		*snd_data;	/* éä¿¡ãã¼ã¿é åã®å
-é ­ã¢ãã¬ã¹	*/
-	int_t		snd_len;	/* éä¿¡ãã¼ã¿é åã®é·ã		*/
-	void		*rcv_data;	/* åä¿¡ãã¼ã¿é åã®å
-é ­ã¢ãã¬ã¹	*/
-	int_t		rcv_len;	/* åä¿¡ãã¼ã¿é åã®é·ã		*/
-	void		**snd_p_buf;	/* éä¿¡ãããã¡ã¸ã®ãã¤ã³ã¿	*/
-	void		**rcv_p_buf;	/* åä¿¡ãããã¡ã¸ã®ãã¤ã³ã¿	*/
+	int16_t		snd_nblk_tfn;	/* 送信動作中の API 機能コード	*/
+	int16_t		rcv_nblk_tfn;	/* 受信動作中の API 機能コード	*/
+	void		*snd_data;	/* 送信データ領域の先頭アドレス	*/
+	int_t		snd_len;	/* 送信データ領域の長さ		*/
+	void		*rcv_data;	/* 受信データ領域の先頭アドレス	*/
+	int_t		rcv_len;	/* 受信データ領域の長さ		*/
+	void		**snd_p_buf;	/* 送信バッファへのポインタ	*/
+	void		**rcv_p_buf;	/* 受信バッファへのポインタ	*/
 
 #endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
 #ifdef TCP_CFG_SWBUF_CSAVE
-	T_NET_BUF	*swbufq;	/* éä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼	*/
+	T_NET_BUF	*swbufq;	/* 送信ウィンドバッファキュー	*/
 #endif	/* of #ifdef TCP_CFG_SWBUF_CSAVE */
 
 	/*
-	 *  ããä»¥éã®ã¡ã³ãã¼ã¯ tcp_init_cep() é¢æ°ã§ã¼ã­ã¯ãªã¢ã¼ãããã
+	 *  これ以降のメンバーは tcp_init_cep() 関数でゼロクリアーされる。
 	 */
 
-	T_TCP_TIME	timer[NUM_TCP_TIMERS];	/* TCP ã®ã¿ã¤ã		*/
-	T_IPV6EP	dstaddr;	/* ç¸æã®ã¢ãã¬ã¹		*/
-	T_IPV6EP	myaddr;		/* èªåã®ã¢ãã¬ã¹		*/
-	T_TCP6_REP	*rep;		/* åä»å£			*/
-	T_NET_BUF	*reassq;	/* åä¿¡åæ§æã­ã¥ã¼		*/
+	T_TCP_TIME	timer[NUM_TCP_TIMERS];	/* TCP のタイマ		*/
+	T_IPV6EP	dstaddr;	/* 相手のアドレス		*/
+	T_IPV6EP	myaddr;		/* 自分のアドレス		*/
+	T_TCP6_REP	*rep;		/* 受付口			*/
+	T_NET_BUF	*reassq;	/* 受信再構成キュー		*/
 
 #ifdef TCP_CFG_RWBUF_CSAVE
-	T_NET_BUF	*rwbufq;	/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼	*/
+	T_NET_BUF	*rwbufq;	/* 受信ウィンドバッファキュー	*/
 #endif	/* of #ifdef TCP_CFG_RWBUF_CSAVE */
 
 #ifdef TCP_CFG_EXTENTIONS
-	T_TCP_HDR	*urg_tcph;	/* ç·æ¥ãã¼ã¿å
-¥ãã®ã»ã°ã¡ã³ãã® TCP ããã	*/
-	T_TCP_SEQ	snd_up;		/* éä¿¡ããç·æ¥ãã¤ã³ã¿		*/
-	T_TCP_SEQ	rcv_up;		/* åä¿¡ããç·æ¥ãã¤ã³ã¿		*/
+	T_TCP_HDR	*urg_tcph;	/* 緊急データ入りのセグメントの TCP ヘッダ	*/
+	T_TCP_SEQ	snd_up;		/* 送信した緊急ポインタ		*/
+	T_TCP_SEQ	rcv_up;		/* 受信した緊急ポインタ		*/
 #endif	/* of #ifdef TCP_CFG_EXTENTIONS */
 
-	T_TCP_SEQ	snd_una;	/* æªç¢ºèªã®æå°éä¿¡ SEQ ã¤ã¾ã	*/
-					/* ç¢ºèªãããæå¤§éä¿¡ SEQ	*/
-	T_TCP_SEQ	snd_max;	/* éä¿¡ããæå¤§ SEQ		*/
-	T_TCP_SEQ	snd_nxt;	/* æ¬¡ã«éä¿¡ãã SEQ		*/
-	T_TCP_SEQ	snd_old_nxt;	/* å
-ã® snd_nxt			*/
-	T_TCP_SEQ	snd_wl1;	/* ååã¦ã£ã³ããæ´æ°ãã SEQ	*/
-	T_TCP_SEQ	snd_wl2;	/* ååã¦ã£ã³ããæ´æ°ãã ACK	*/
-	T_TCP_SEQ	iss;		/* èªåã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	irs;		/* ç¸æã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	rcv_nxt;	/* åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ	*/
-	T_TCP_SEQ	rcv_adv;	/* åä¿¡ãæå¾
-ãã¦ããæå¤§ã® SEQ	*/
-	T_TCP_SEQ	rcv_wnd;	/* åä¿¡å¯è½ãªã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_SEQ	rtseq;		/* æéè¨æ¸¬ãå§ãã SEQ		*/
-	T_TCP_SEQ	last_ack_sent;	/* æå¾ã«éä¿¡ãã ACK		*/
-	T_TCP_TIME	idle;		/* ã¢ã¤ãã«æé			*/
-	ER		error;		/* éåæã«çºçããã¨ã©ã¼		*/
-	ER		net_error;	/* ãããã¯ã¼ã¯ã®ã¨ã©ã¼ç¶æ
-	*/
-	T_TCP_WND	snd_wnd;	/* ç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_WND	max_sndwnd;	/* ä»ã¾ã§ã®æå¤§éä¿¡ã¦ã£ã³ããµã¤ãº	*/
-	T_TCP_TIME	rtt;		/* å¾å¾©æé			*/
-	uint16_t	swbuf_count;	/* éä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint16_t	rwbuf_count;	/* åä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint16_t	rcv_buf_len;	/* tcp_rcv_buf ã®å²å½ã¦é·	*/
-	uint16_t	get_buf_len;	/* tcp_rcv_buf ã®å²å½ã¦é·	*/
-	uint8_t		rxtshift;	/* åéä¿¡åæ°ã® log(2)		*/
-	uint8_t		fsm_state;	/* FSM ç¶æ
-			*/
-	uint8_t		dupacks;	/* åé ACK æ°			*/
+	T_TCP_SEQ	snd_una;	/* 未確認の最小送信 SEQ つまり	*/
+					/* 確認された最大送信 SEQ	*/
+	T_TCP_SEQ	snd_max;	/* 送信した最大 SEQ		*/
+	T_TCP_SEQ	snd_nxt;	/* 次に送信する SEQ		*/
+	T_TCP_SEQ	snd_old_nxt;	/* 元の snd_nxt			*/
+	T_TCP_SEQ	snd_wl1;	/* 前回ウィンドを更新した SEQ	*/
+	T_TCP_SEQ	snd_wl2;	/* 前回ウィンドを更新した ACK	*/
+	T_TCP_SEQ	iss;		/* 自分の SEQ の初期値		*/
+	T_TCP_SEQ	irs;		/* 相手の SEQ の初期値		*/
+	T_TCP_SEQ	rcv_nxt;	/* 受信を期待している最小の SEQ	*/
+	T_TCP_SEQ	rcv_adv;	/* 受信を期待している最大の SEQ	*/
+	T_TCP_SEQ	rcv_wnd;	/* 受信可能なウィンドサイズ	*/
+	T_TCP_SEQ	rtseq;		/* 時間計測を始めた SEQ		*/
+	T_TCP_SEQ	last_ack_sent;	/* 最後に送信した ACK		*/
+	T_TCP_TIME	idle;		/* アイドル時間			*/
+	ER		error;		/* 非同期に発生したエラー		*/
+	ER		net_error;	/* ネットワークのエラー状態	*/
+	T_TCP_WND	snd_wnd;	/* 相手の受信可能ウィンドサイズ	*/
+	T_TCP_WND	max_sndwnd;	/* 今までの最大送信ウィンドサイズ	*/
+	T_TCP_TIME	rtt;		/* 往復時間			*/
+	uint16_t	swbuf_count;	/* 送信ウィンドバッファの使用中サイズ	*/
+	uint16_t	rwbuf_count;	/* 受信ウィンドバッファの使用中サイズ	*/
+	uint16_t	rcv_buf_len;	/* tcp_rcv_buf の割当て長	*/
+	uint16_t	get_buf_len;	/* tcp_rcv_buf の割当て長	*/
+	uint8_t		rxtshift;	/* 再送信回数の log(2)		*/
+	uint8_t		fsm_state;	/* FSM 状態			*/
+	uint8_t		dupacks;	/* 再送 ACK 数			*/
 
 #if defined(TCP_CFG_RWBUF_CSAVE) && defined(TCP_CFG_RWBUF_CSAVE_MAX_QUEUES)
-	uint8_t		rwbufq_entries;	/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ã¨ã³ããªæ°	*/
+	uint8_t		rwbufq_entries;	/* 受信ウィンドバッファキューのエントリ数	*/
 #endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) && defined(TCP_CFG_RWBUF_CSAVE_MAX_QUEUES)	*/
 
@@ -480,21 +444,19 @@
 
 /*
- * Time Wait ç¨ IPv6 TCP éä¿¡ç«¯ç¹
+ * Time Wait 用 IPv6 TCP 通信端点
  */
 typedef struct t_tcp6_twcep {
-	int_t		rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-	T_TCP_TIME	timer_2msl;	/* 2MSL ã¿ã¤ã			*/
-	T_IPV6EP	dstaddr;	/* ç¸æã®ã¢ãã¬ã¹		*/
-	T_IPV6EP	myaddr;		/* èªåã®ã¢ãã¬ã¹		*/
-	T_TCP_SEQ	snd_una;	/* æªç¢ºèªã®æå°éä¿¡ SEQ ã¤ã¾ã	*/
-					/* ç¢ºèªãããæå¤§éä¿¡ SEQ	*/
-	T_TCP_SEQ	iss;		/* èªåã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	irs;		/* ç¸æã® SEQ ã®åæå¤		*/
-	T_TCP_SEQ	rcv_nxt;	/* åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ	*/
-	T_TCP_WND	snd_wnd;	/* ç¸æã®åä¿¡å¯è½ã¦ã£ã³ããµã¤ãº	*/
-	uint16_t	rwbuf_count;	/* åä¿¡ã¦ã£ã³ããããã¡ã®ä½¿ç¨ä¸­ãµã¤ãº	*/
-	uint8_t		fsm_state;	/* FSM ç¶æ
-			*/
+	int_t		rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+	T_TCP_TIME	timer_2msl;	/* 2MSL タイマ			*/
+	T_IPV6EP	dstaddr;	/* 相手のアドレス		*/
+	T_IPV6EP	myaddr;		/* 自分のアドレス		*/
+	T_TCP_SEQ	snd_una;	/* 未確認の最小送信 SEQ つまり	*/
+					/* 確認された最大送信 SEQ	*/
+	T_TCP_SEQ	iss;		/* 自分の SEQ の初期値		*/
+	T_TCP_SEQ	irs;		/* 相手の SEQ の初期値		*/
+	T_TCP_SEQ	rcv_nxt;	/* 受信を期待している最小の SEQ	*/
+	T_TCP_WND	snd_wnd;	/* 相手の受信可能ウィンドサイズ	*/
+	uint16_t	rwbuf_count;	/* 受信ウィンドバッファの使用中サイズ	*/
+	uint8_t		fsm_state;	/* FSM 状態			*/
 
 	} T_TCP6_TWCEP;
@@ -513,84 +475,75 @@
 
 /*
- *  TCP éä¿¡ç«¯ç¹ã®ç¶æ
-ãã©ã°
- */
-
-#define TCP_CEP_FLG_ACK_NOW		ULONG_C(0x00000001)	/* ç´ã¡ã«ç¸æã« ACK ãéãã	*/
-#define TCP_CEP_FLG_DEL_ACK		ULONG_C(0x00000002)	/* ACK ãé
-å»¶ããã		*/
-#define TCP_CEP_FLG_SENT_FIN		ULONG_C(0x00000004)	/* FIN ãéã£ã¦ããã		*/
-#define TCP_CEP_FLG_NEED_SYN		ULONG_C(0x00000008)	/* SYN ãéä¿¡ããã		*/
-#define TCP_CEP_FLG_NEED_FIN		ULONG_C(0x00000010)	/* FIN ãéä¿¡ããã		*/
-#define TCP_CEP_FLG_FORCE		ULONG_C(0x00000020)	/* å¼·å¶éä¿¡ã			*/
-#define TCP_CEP_FLG_NO_PUSH		ULONG_C(0x00000040)	/* push ããªãã		*/
-#define TCP_CEP_FLG_NO_DELAY		ULONG_C(0x00000080)	/* é
-å»¶ããªãã			*/
-#define TCP_CEP_FLG_FORCE_CLEAR		ULONG_C(0x00000100)	/* å¼·å¶éä¿¡ããå¾ãã©ã°ãã¯ãªã¢ã¼ããã*/
-#define TCP_CEP_FLG_POST_OUTPUT		ULONG_C(0x00000200)	/* éä¿¡ãéå§ããã		*/
-#define TCP_CEP_FLG_RESERVE_OUTPUT	ULONG_C(0x00000400)	/* éä¿¡ãäºç´ããã		*/
-#define TCP_CEP_FLG_DYNAMIC		ULONG_C(0x00001000)	/* åççæã»åé¤å¯è½éä¿¡ç«¯ç¹ã	*/
-#define TCP_CEP_FLG_VALID		ULONG_C(0x00002000)	/* çææ¸ã¿ã§æå¹ãªéä¿¡ç«¯ç¹ã	*/
-#define TCP_CEP_FLG_CLOSE_AFTER_OUTPUT	ULONG_C(0x00004000)	/* éä¿¡ããå¾ã³ãã¯ã·ã§ã³ãéããã*/
-#define TCP_CEP_FLG_RESTORE_NEXT_OUTPUT	ULONG_C(0x00008000)	/* éä¿¡ããå¾ãsnd_nxt ãå
-ã«æ»ãã*/
-
-/* éåä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ */
-#define TCP_CEP_FLG_WBCS_NBUF_REQ	ULONG_C(0x00080000)	/* ãããã¯ã¼ã¯ãããã¡å²å½ã¦è¦æ±	*/
-#define TCP_CEP_FLG_WBCS_MASK		ULONG_C(0x00070000)	/* ãã¹ã¯			*/
-#define TCP_CEP_FLG_WBCS_FREE		ULONG_C(0x00000000)	/* éä¿¡ã¦ã£ã³ããããã¡æªä½¿ç¨	*/
-#define TCP_CEP_FLG_WBCS_WOPEN_PEND	ULONG_C(0x00010000)	/* ç¸æã®åä¿¡ã¦ã£ã³ãã®éãå¾
-ã¡	*/
-#define TCP_CEP_FLG_WBCS_NBUF_PEND	ULONG_C(0x00020000)	/* ãããã¯ã¼ã¯ãããã¡äºç´å¾
-ã¡	*/
-#define TCP_CEP_FLG_WBCS_NBUF_RSVD	ULONG_C(0x00030000)	/* ãããã¯ã¼ã¯ãããã¡äºç´æ¸ã¿	*/
-#define TCP_CEP_FLG_WBCS_NBUF_READY	ULONG_C(0x00040000)	/* ãããã¯ã¼ã¯ãããã¡å²å½ã¦æ¸ã¿	*/
-#define TCP_CEP_FLG_WBCS_SEND_READY	ULONG_C(0x00050000)	/* éä¿¡å¯è½			*/
-#define TCP_CEP_FLG_WBCS_SENT		ULONG_C(0x00060000)	/* éä¿¡æ¸ã¿ã§ãACKå¾
-ã¡		*/
-#define TCP_CEP_FLG_WBCS_ACKED		ULONG_C(0x00070000)	/* éä¿¡æ¸ã¿ã§ãACKå®äº		*/
-
-/*
- *  éä¿¡ç«¯ç¹ã¤ãã³ããã©ã°
- */
-
-#define TCP_CEP_EVT_ESTABLISHED		ULONG_C(0x00000001)	/* ã³ãã¯ã·ã§ã³ç¢ºç«		*/
-#define TCP_CEP_EVT_CLOSED		ULONG_C(0x00000002)	/* æªä½¿ç¨ç¶æ
-			*/
-#define TCP_CEP_EVT_SWBUF_READY		ULONG_C(0x00000004)	/* éä¿¡ã¦ã£ã³ããããã¡ç©ºã	*/
-#define TCP_CEP_EVT_RWBUF_READY		ULONG_C(0x00000008)	/* éä¿¡ã¦ã£ã³ããããã¡ãã¼ã¿ãã	*/
-#define TCP_CEP_EVT_ALL			ULONG_C(0xffffffff)	/* å
-¨ã¤ãã³ã			*/
-
-/*
- *  è¿½å  API æ©è½ã»äºè±¡ã³ã¼ã
- */
-
-/* TCP é¢ä¿ */
+ *  TCP 通信端点の状態フラグ
+ */
+
+#define TCP_CEP_FLG_ACK_NOW		ULONG_C(0x00000001)	/* 直ちに相手に ACK を送る。	*/
+#define TCP_CEP_FLG_DEL_ACK		ULONG_C(0x00000002)	/* ACK を遅延する。		*/
+#define TCP_CEP_FLG_SENT_FIN		ULONG_C(0x00000004)	/* FIN を送ってある。		*/
+#define TCP_CEP_FLG_NEED_SYN		ULONG_C(0x00000008)	/* SYN を送信する。		*/
+#define TCP_CEP_FLG_NEED_FIN		ULONG_C(0x00000010)	/* FIN を送信する。		*/
+#define TCP_CEP_FLG_FORCE		ULONG_C(0x00000020)	/* 強制送信。			*/
+#define TCP_CEP_FLG_NO_PUSH		ULONG_C(0x00000040)	/* push しない。		*/
+#define TCP_CEP_FLG_NO_DELAY		ULONG_C(0x00000080)	/* 遅延しない。			*/
+#define TCP_CEP_FLG_FORCE_CLEAR		ULONG_C(0x00000100)	/* 強制送信した後フラグをクリアーする。*/
+#define TCP_CEP_FLG_POST_OUTPUT		ULONG_C(0x00000200)	/* 送信を開始する。		*/
+#define TCP_CEP_FLG_RESERVE_OUTPUT	ULONG_C(0x00000400)	/* 送信を予約する。		*/
+#define TCP_CEP_FLG_DYNAMIC		ULONG_C(0x00001000)	/* 動的生成・削除可能通信端点。	*/
+#define TCP_CEP_FLG_VALID		ULONG_C(0x00002000)	/* 生成済みで有効な通信端点。	*/
+#define TCP_CEP_FLG_CLOSE_AFTER_OUTPUT	ULONG_C(0x00004000)	/* 送信した後コネクションを閉じる。*/
+#define TCP_CEP_FLG_RESTORE_NEXT_OUTPUT	ULONG_C(0x00008000)	/* 送信した後、snd_nxt を元に戻す。*/
+
+/* 送受信ウィンドバッファの省コピー機能 */
+#define TCP_CEP_FLG_WBCS_NBUF_REQ	ULONG_C(0x00080000)	/* ネットワークバッファ割当て要求	*/
+#define TCP_CEP_FLG_WBCS_MASK		ULONG_C(0x00070000)	/* マスク			*/
+#define TCP_CEP_FLG_WBCS_FREE		ULONG_C(0x00000000)	/* 送信ウィンドバッファ未使用	*/
+#define TCP_CEP_FLG_WBCS_WOPEN_PEND	ULONG_C(0x00010000)	/* 相手の受信ウィンドの開き待ち	*/
+#define TCP_CEP_FLG_WBCS_NBUF_PEND	ULONG_C(0x00020000)	/* ネットワークバッファ予約待ち	*/
+#define TCP_CEP_FLG_WBCS_NBUF_RSVD	ULONG_C(0x00030000)	/* ネットワークバッファ予約済み	*/
+#define TCP_CEP_FLG_WBCS_NBUF_READY	ULONG_C(0x00040000)	/* ネットワークバッファ割当て済み	*/
+#define TCP_CEP_FLG_WBCS_SEND_READY	ULONG_C(0x00050000)	/* 送信可能			*/
+#define TCP_CEP_FLG_WBCS_SENT		ULONG_C(0x00060000)	/* 送信済みで、ACK待ち		*/
+#define TCP_CEP_FLG_WBCS_ACKED		ULONG_C(0x00070000)	/* 送信済みで、ACK完了		*/
+
+/*
+ *  通信端点イベントフラグ
+ */
+
+#define TCP_CEP_EVT_ESTABLISHED		ULONG_C(0x00000001)	/* コネクション確立		*/
+#define TCP_CEP_EVT_CLOSED		ULONG_C(0x00000002)	/* 未使用状態			*/
+#define TCP_CEP_EVT_SWBUF_READY		ULONG_C(0x00000004)	/* 送信ウィンドバッファ空き	*/
+#define TCP_CEP_EVT_RWBUF_READY		ULONG_C(0x00000008)	/* 送信ウィンドバッファデータあり	*/
+#define TCP_CEP_EVT_ALL			ULONG_C(0xffffffff)	/* 全イベント			*/
+
+/*
+ *  追加 API 機能・事象コード
+ */
+
+/* TCP 関係 */
 
 #define TFN_TCP_UNDEF		(0)
 
 /*
- *  srtt:   å¹³æ»åããã RTT
- *  rttvar: å¹³æ»åãããåæ£
- *  rtt:    æ¸¬å®ãããå¾å¾©æé
+ *  srtt:   平滑化された RTT
+ *  rttvar: 平滑化された分散
+ *  rtt:    測定された往復時間
  *
- *  å¹³æ»åããã RTT (srtt) ã¨å¹³æ»åãããåæ£ (rttvar) ã
- *  æ´æ°åã§è¨ç®ããããã«ãå·¦ã·ãããã¦ã¹ã±ã¼ã«ããã
- *  srtt ã¯ 2 é²å°æ°ç¹ä»¥ä¸ 3 ãããã
- *  rttvar ã¯ 2 é²å°æ°ç¹ä»¥ä¸ 2 ããããä¿æããã
+ *  平滑化された RTT (srtt) と平滑化された分散 (rttvar) を
+ *  整数型で計算するために、左シフトしてスケールする。
+ *  srtt は 2 進小数点以下 3 ビット、
+ *  rttvar は 2 進小数点以下 2 ビットを保持する。
  */
 
 #define TCP_DELTA_SHIFT		2
-			/* å·®å = rtt/8 + srtt*7/8 ã®è¨ç®ã®ããã®ã·ããå¤	*/
+			/* 差分 = rtt/8 + srtt*7/8 の計算のためのシフト値	*/
 #define TCP_SRTT_SHIFT		(TCP_DELTA_SHIFT + 3)
-					/* srtt ã®ã·ããå¤ã3(+2)ããã	*/
+					/* srtt のシフト値、3(+2)ビット	*/
 #define TCP_RTTVAR_SHIFT	(TCP_DELTA_SHIFT + 2)
-					/* rttvar ã®ã·ããå¤ã2(+2)ããã	*/
+					/* rttvar のシフト値、2(+2)ビット	*/
 #define TCP_SRTT_SCALE		(1<<TCP_SRTT_SHIFT)
 #define TCP_RTTVAR_SCALE	(1<<TCP_RTTVAR_SHIFT)
 
 /*
- *  é«éåè»¢éãéå§ããåé ACK æ°ã®ãããå¤
+ *  高速再転送を開始する再送 ACK 数のしきい値
  */
 
@@ -598,26 +551,21 @@
 
 /*
- *  åä¿¡åæ§æã­ã¥ã¼ã§ã® TCP ããã
+ *  受信再構成キューでの TCP ヘッダ
  */
 
 typedef struct t_tcp_q_hdr {
-	uint16_t	sport;		/* éä¿¡å
-ãã¼ãçªå·			*/
-	uint16_t	dport;		/* å®å
-ãã¼ãçªå·			*/
-
-	uint32_t	seq;		/* SEQ çªå·				*/
-
-	T_NET_BUF 	*next;		/* æ¬¡ã®ã»ã°ã¡ã³ããå
-ã¯ ACK çªå·(ack)	*/
-
-	uint8_t		doff;		/* ãã¼ã¿ãªãã»ãã(ä¸ä½4ããã)	*/
-	uint8_t		flags;		/* ãã©ã°(ä¸ä½6ããã)			*/
-	uint16_t	soff;		/* SDU ãªãã»ãããå
-ã¯ã¦ã£ã³ããµã¤ãº(win)	*/
-
-	uint16_t	slen;		/* SDU é·ãå
-ã¯ãã§ãã¯ãµã (sum)	*/
-	uint16_t	urp;		/* ç·æ¥ãã¤ã³ã¿ï¼SDU é·è£æ­£ï¼		*/
+	uint16_t	sport;		/* 送信元ポート番号			*/
+	uint16_t	dport;		/* 宛先ポート番号			*/
+
+	uint32_t	seq;		/* SEQ 番号				*/
+
+	T_NET_BUF 	*next;		/* 次のセグメント、元は ACK 番号(ack)	*/
+
+	uint8_t		doff;		/* データオフセット(上位4ビット)	*/
+	uint8_t		flags;		/* フラグ(下位6ビット)			*/
+	uint16_t	soff;		/* SDU オフセット、元はウィンドサイズ(win)	*/
+
+	uint16_t	slen;		/* SDU 長、元はチェックサム(sum)	*/
+	uint16_t	urp;		/* 緊急ポインタ（SDU 長補正）		*/
 	} __attribute__((packed, aligned(2)))T_TCP_Q_HDR;
 
@@ -626,19 +574,19 @@
 
 /*
- *  ãªãã¸ã§ã¯ã ID ã®æå°å¤ã®å®ç¾©
- */
-
-#define	TMIN_TCP_REPID		1	/* TCP åä»å£   ID ã®æå°å¤			*/
-#define	TMIN_TCP_CEPID		1	/* TCP éä¿¡ç«¯ç¹ ID ã®æå°å¤			*/
-#define	TMIN_TCP_TWCEPID	1	/* Time Wait ç¨ TCP éä¿¡ç«¯ç¹ ID ã®æå°å¤	*/
-
-/*
- *  å¶å¾¡ã»ã°ã¡ã³ãï¼ãã¼ã¿ãªãï¼ãµã¤ãºã®ãããã¯ã¼ã¯ãããã¡
+ *  オブジェクト ID の最小値の定義
+ */
+
+#define	TMIN_TCP_REPID		1	/* TCP 受付口   ID の最小値			*/
+#define	TMIN_TCP_CEPID		1	/* TCP 通信端点 ID の最小値			*/
+#define	TMIN_TCP_TWCEPID	1	/* Time Wait 用 TCP 通信端点 ID の最小値	*/
+
+/*
+ *  制御セグメント（データなし）サイズのネットワークバッファ
  */
 
 typedef struct t_net_buf_cseg {
-	uint16_t	len;	/* ãã¼ã¿ã®é·ã		*/
-	uint8_t		idix;	/* mpfid ã®ã¤ã³ããã¯ã¹	*/
-	uint8_t		flags;	/* ãã©ã°		*/
+	uint16_t	len;	/* データの長さ		*/
+	uint8_t		idix;	/* mpfid のインデックス	*/
+	uint8_t		flags;	/* フラグ		*/
 #ifdef IF_ETHER_NIC_NET_BUF_ALIGN
 	uint8_t		nalign[IF_ETHER_NIC_NET_BUF_ALIGN];
@@ -648,5 +596,5 @@
 #endif
 	uint8_t		buf[IF_HDR_SIZE + IP_HDR_SIZE + TCP_HDR_SIZE];
-				/* ãããã¡æ¬ä½		*/
+				/* バッファ本体		*/
 	} T_NET_BUF_CSEG;
 
@@ -654,6 +602,5 @@
 
 /*
- *  SNMP ã® ç®¡çæ
-å ±ãã¼ã¹ (MIB)
+ *  SNMP の 管理情報ベース (MIB)
  */
 
@@ -674,5 +621,5 @@
 
 /*
- *  é¢æ°ã·ãã¥ã¬ã¼ã·ã§ã³ãã¯ã­
+ *  関数シミュレーションマクロ
  */
 
@@ -720,6 +667,5 @@
 
 /*
- *  å
-¨åå¤æ°
+ *  全域変数
  */
 
@@ -738,5 +684,5 @@
 
 /*
- *  Inline é¢æ°
+ *  Inline 関数
  */
 
@@ -744,10 +690,10 @@
 
 /*
- *  TCP éä¿¡ç«¯ç¹ã®åä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ã
- *  ç¡å¹ã®å ´åã¯ä½ãããªãããã®ããã¼ã®é¢æ°
- */
-
-/*
- *  tcp_free_rwbufq -- åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ãè§£æ¾ããã
+ *  TCP 通信端点の受信ウィンドバッファの省コピー機能が
+ *  無効の場合は何もしないためのダミーの関数
+ */
+
+/*
+ *  tcp_free_rwbufq -- 受信ウィンドバッファキューを解放する。
  */
 
@@ -762,10 +708,10 @@
 
 /*
- *  TCP éä¿¡ç«¯ç¹ã®éä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ã®ã¿ã
- *  æå¹ã®å ´åã¯ä½ãããªãããã®ããã¼ã®é¢æ°
- */
-
-/*
- *  tcp_read_swbuf_cs -- éä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãèª­ã¿åºãã
+ *  TCP 通信端点の送信ウィンドバッファの省コピー機能のみが
+ *  有効の場合は何もしないためのダミーの関数
+ */
+
+/*
+ *  tcp_read_swbuf_cs -- 送信ウィンドバッファからデータを読み出す。
  */
 
@@ -780,10 +726,10 @@
 
 /*
- *  TCP éä¿¡ç«¯ç¹ã®éä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ã
- *  ç¡å¹ã®å ´åã¯ä½ãããªãããã®ããã¼ã®é¢æ°
- */
-
-/*
- *  tcp_free_swbufq -- éä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ãè§£æ¾ããã
+ *  TCP 通信端点の送信ウィンドバッファの省コピー機能が
+ *  無効の場合は何もしないためのダミーの関数
+ */
+
+/*
+ *  tcp_free_swbufq -- 送信ウィンドバッファキューを解放する。
  */
 
@@ -794,5 +740,5 @@
 
 /*
- *  tcp_alloc_swbuf -- éä¿¡ã¦ã£ã³ããããã¡ç¨ã®ãããã¯ã¼ã¯ãããã¡ã®å²ãå½ã¦ãæç¤ºããã
+ *  tcp_alloc_swbuf -- 送信ウィンドバッファ用のネットワークバッファの割り当てを指示する。
  */
 
@@ -803,5 +749,5 @@
 
 /*
- *  tcp_push_res_nbuf -- ãããã¯ã¼ã¯ãããã¡ãäºç´ããã
+ *  tcp_push_res_nbuf -- ネットワークバッファを予約する。
  */
 
@@ -813,5 +759,5 @@
 
 /*
- *  tcp_pull_res_nbuf -- äºç´ãã¦ãããããã¯ã¼ã¯ãããã¡è¿ãã
+ *  tcp_pull_res_nbuf -- 予約してあるネットワークバッファ返す。
  */
 
